### %define _gnu		%{nil}
%define _programprefix	eu-

Summary:	A collection of utilities and DSOs to handle compiled objects.
Name:		elfutils
Group:		Development/Tools
License:	GPL
Version:	0.108
Release:	1
Source0:	elfutils-%{version}.tar.gz
Patch0:		elfutils-portability.patch
Patch1:		elfutils-bswap.patch
Requires:	elfutils-libelf = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	gcc >= 3.2, sharutils

%description
Elfutils is a collection of utilities, including ld (a linker),
nm (for listing symbols from object files), size (for listing the
section sizes of an object or archive file), strip (for discarding
symbols), readline (the see the raw ELF file structures), and elflint
(to check for well-formed ELF files).  Also included are numerous
helper libraries which implement DWARF, ELF, and machine-specific ELF
handling.

%files
  %defattr(0444,root,root,0555)
  %doc README TODO

  %attr(0511,root,root)	%{_bindir}/eu-*

  %{_libdir}/libdw-%{version}.so
  %{_libdir}/libdw*.so.*
  %dir %{_libdir}/elfutils
  %{_libdir}/elfutils/lib*.so

%package devel
Summary:	Development libraries to handle compiled objects.
Group:		Development/Tools
Requires:	elfutils = %{version}-%{release}

%description devel
The elfutils-devel package contains the libraries to create
applications for handling compiled objects.  libelf allows you to
access the internals of the ELF object file format, so you can see the
different sections of an ELF file.  libebl provides some higher-level
ELF access functionality.  libdwarf provides access to the DWARF
debugging information.  libasm provides a programmable assembler
interface.

%files devel
  %defattr(0444,root,root,0555)
  %{_includedir}/dwarf.h
  %{_includedir}/libelf.h
  %{_includedir}/gelf.h
  %{_includedir}/nlist.h
  %dir %{_includedir}/elfutils
  %{_includedir}/elfutils/elf-knowledge.h
  %{_includedir}/elfutils/libebl.h
  %{_includedir}/elfutils/libdw.h
  %{_libdir}/libebl.a
  %{_libdir}/libelf.a
  %{_libdir}/libdw.a
  %{_libdir}/libelf.so
  %{_libdir}/libdw.so

%package libelf
Summary:	Library to read and write ELF files.
Group:		Development/Tools

%description libelf
The elfutils-libelf package provides a DSO which allows reading and
writing ELF files on a high level.  Third party programs depend on
this package to read internals of ELF files.  The programs of the
elfutils package use it also to generate new ELF files.

%files libelf
  %defattr(0444,root,root,0555)
  %{_libdir}/libelf-%{version}.so
  %{_libdir}/libelf*.so.*

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
  mkdir build-%{_target_platform}
  cd build-%{_target_platform}

  ../configure \
    --prefix=%{_prefix} --exec-prefix=%{_exec_prefix} \
    --bindir=%{_bindir} --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} \
    --datadir=%{_datadir} --includedir=%{_includedir} --libdir=%{_libdir} \
    --libexecdir=%{_libexecdir} --localstatedir=%{_localstatedir} \
    --sharedstatedir=%{_sharedstatedir} --mandir=%{_mandir} \
    --infodir=%{_infodir} --program-prefix=%{_programprefix} --enable-shared
  cd ..

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p ${RPM_BUILD_ROOT}%{_prefix}

  cd build-%{_target_platform}
#make check
  %makeinstall

  chmod +x ${RPM_BUILD_ROOT}%{_prefix}/%{_lib}/lib*.so*
  chmod +x ${RPM_BUILD_ROOT}%{_prefix}/%{_lib}/elfutils/lib*.so*

  cd ..

  # XXX Nuke unpackaged files
  { cd ${RPM_BUILD_ROOT}
    rm -f .%{_bindir}/eu-ld
    rm -f .%{_includedir}/elfutils/libasm.h
    rm -f .%{_libdir}/libasm-%{version}.so
    rm -f .%{_libdir}/libasm.a
    rm -f .%{_libdir}/libasm.so
    rm -f .%{_libdir}/libasm.so.1
  }

#  cd build-%{_target_platform}
#  make check

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post   libelf -p /sbin/ldconfig
%postun libelf -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.108, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
